summaryrefslogtreecommitdiff
path: root/Biz/Ide/hoog
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2022-07-25 09:56:12 -0400
committerBen Sima <ben@bsima.me>2022-07-25 10:29:10 -0400
commit8e25ac2c4f606f3a82e079e0c4efa662b6c4e442 (patch)
treefdea667abb49ccb2b8ede5695266a67f6f4cf925 /Biz/Ide/hoog
parentddbb61ed8c546b718242bf3b54dba7f1d1248590 (diff)
Add tags support for more languages
Rust seems to not be supported in my ctags version :( Also rename some Ide scripts because these are commands, not really scripts.
Diffstat (limited to 'Biz/Ide/hoog')
-rwxr-xr-xBiz/Ide/hoog17
1 files changed, 17 insertions, 0 deletions
diff --git a/Biz/Ide/hoog b/Biz/Ide/hoog
new file mode 100755
index 0000000..976f0d4
--- /dev/null
+++ b/Biz/Ide/hoog
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+#
+# search hoogle with fzf
+#
+ set -euo pipefail
+ HOOG="hoogle search --count=200"
+ export FZF_DEFAULT_COMMAND="$HOOG $*"
+ result=$(fzf-tmux \
+ --preview-window=down \
+ --preview "hoogle search --link --info {+2}" \
+ --bind "change:reload:$HOOG {q} || true" \
+ --ansi \
+ | cut -d' ' -f 1,2 \
+ | sed -e 's/ /./g'
+ )
+ hoogle search --info "$result"
+##